Indice del forum Olimpo Informatico
I Forum di Zeus News
Leggi la newsletter gratuita - Attiva il Menu compatto
 
 FAQFAQ   CercaCerca   Lista utentiLista utenti   GruppiGruppi   RegistratiRegistrati 
 ProfiloProfilo   Messaggi privatiMessaggi privati   Log inLog in 

    Newsletter RSS Facebook Twitter Contatti Ricerca
Aggiornare Java
Nuovo argomento   Rispondi    Indice del forum -> Linux
Precedente :: Successivo  
Autore Messaggio
Maary79
Moderatrice Sistemi Operativi e Software
Moderatrice Sistemi Operativi e Software


Registrato: 08/02/12 12:23
Messaggi: 9295

MessaggioInviato: 20 Lug 2015 01:07    Oggetto: Aggiornare Java Rispondi citando

Tempo fa avevo istallato sul mio vecchio pc la versione di Java 7 per Debian su Semplice Linux (la guida sul sito lffl.org), ora ho dovuto reistallarlo perchè ho dovuto reistallare il SO, però mi sono sbagliata, dovevo istallare la versione 8, invece ho istallato la 7 (che mi viene bloccata dal sito perchè obsoleta, ho trovato questa guida per la 8:

link

Posso dare i comandi così com'è o devo rimuovere la versione precedente?

Ora ho questa:
marina@LAPTOP:~$ java -version
java version "1.7.0_80"
Java(TM) SE Runtime Environment (build 1.7.0_80-b15)
Java HotSpot(TM) Client VM (build 24.80-b11, mixed mode)

Ho provato a dare il comando sudo apt-get purge java* oppure sudo apt-get remove java* ma in entrambi i casi non trova pacchetti dal nome java... Rolling Eyes
Top
Profilo Invia messaggio privato
MK66
Moderatore Sistemi Operativi
Moderatore Sistemi Operativi


Registrato: 17/10/06 22:24
Messaggi: 8453
Residenza: dentro una cassa sotto 3 metri di terra...

MessaggioInviato: 20 Lug 2015 10:11    Oggetto: Rispondi citando

Ciao Maary Smile

Procedi pure.

Il ppa di webupd8 comunque dovrebbe installare i propri pacchetti in alternativa, quindi avrai le due versioni insieme: all'epoca dell'uscita della versione 7, quando ancora non era nemmeno nei repo, io avevo sia la 6 da repo che la 7 da ppa insieme e non è mai capitato nulla: ovviamente il sistema usava sempre la 7, quindi la 6 è poi stata eliminata da sola, quando la 7 è arrivata nei repo e si è poi aggiornata "ufficialmente".

Se vuoi comunque levare la versione precedente, è più facile farlo da synaptic, il pacchetto si chiama icedtea7.
Top
Profilo Invia messaggio privato HomePage
Maary79
Moderatrice Sistemi Operativi e Software
Moderatrice Sistemi Operativi e Software


Registrato: 08/02/12 12:23
Messaggi: 9295

MessaggioInviato: 20 Lug 2015 21:06    Oggetto: Rispondi

Ciao MK66,

Il pacchetto icedtea-7-plugin non è istallato. A dire il vero prima avevo istallato openjdk8 che però non funzionava, dunque l'avevo subito rimosso.

Tuttavia il sito non mi carica il gioco, continua a dirmi che java è obsoleto, non sicuro ecc..
Questo è quello che vedo tra i plugin di ice:


La versione che usa è la 8 giusto? L'ultima per linux?

marina@LAPTOP:~$ java -version
java version "1.8.0_45"
Java(TM) SE Runtime Environment (build 1.8.0_45-b14)
Java HotSpot(TM) Client VM (build 25.45-b02, mixed mode)
Top
Profilo Invia messaggio privato
Mostra prima i messaggi di:   
Nuovo argomento   Rispondi    Indice del forum -> Linux Tutti i fusi orari sono GMT + 1 ora
Pagina 1 di 1

 
Vai a:  
Non puoi inserire nuovi argomenti
Non puoi rispondere a nessun argomento
Non puoi modificare i tuoi messaggi
Non puoi cancellare i tuoi messaggi
Non puoi votare nei sondaggi